import datetime
import multiprocessing
import time
import json
import crawler_baidu
import crawler_boss
import random
import requests

#获取需要爬数据的企业 百度1
def GetCompany(types):
    response = requests.get("http://192.168.25.19/smart-writing/company/spider-company", "type="+str(types), headers={"Content-Type": "application/json"})
    if response.status_code == 200:
        response_data = response.json()
        return response_data["data"]["company_name"],response_data["data"]["url"]
    else:
        return "",""


#回传爬虫获取到的数据
def SaveCompanyData(name,types,intro):
    my_obj={}
    my_obj["intro"] = intro
    post_data = {
        "name": name,
        "content": json.dumps(my_obj),
        "type": types
    }
    json_data = json.dumps(post_data)
    response = requests.post("http://192.168.25.19/smart-writing/company/spider-company", data=json_data, headers={"Content-Type": "application/json"})

    # 检查响应状态码
    if response.status_code == 200:
        response_data = response.json()
        if response_data["code"]==200:
            return name
        else:
            return ""
    else:
        return ""



#启动爬虫
def CrawlerLaunch():
    while True:
        now = datetime.datetime.now()
        randomtime = random.randint(3, 120)
        print(str(now) + ":启动等待时间"+str(randomtime))
        time.sleep(randomtime)
        res1 = crawler_baidu.CrawlerBaidu()
        if res1==100:
            time.sleep(5)
            crawler_boss.CrawlerBoss()

def Log(dataS):
    with open("log/"+str(datetime.date.today()) + ".txt", "a+") as f:
        f.write(dataS + "\n")
        f.close()


if __name__ == "__main__":
    p = multiprocessing.Process(target=CrawlerLaunch)
    p.start()
    p.join()

